## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel
Class CacheStrategyType

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.CacheStrategyType

All Implemented Interfaces:
  java.io.Serializable, org.eclipse.emf.common.util.Enumerator

    public final class CacheStrategyType

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Cache Strategy Type', and utility methods for working with them.

See Also:
  `SybaseasesqlmodelPackage.getCacheStrategyType()`, Serialized Form

Field Summary
`static int` `MRU` The 'MRU' literal value.
`static CacheStrategyType` `MRU_LITERAL` The 'MRU' literal object.
`static int` `MRU_SERVER_DEFAULT` The 'MRU SERVER DEFAULT' literal value.
`static CacheStrategyType` `MRU_SERVER_DEFAULT_LITERAL` The 'MRU SERVER DEFAULT' literal object.
`static int` `PREFETCH` The 'PREFETCH' literal value.
`static CacheStrategyType` `PREFETCH_LITERAL` The 'PREFETCH' literal object.
`static int` `PREFETCH_SERVER_DEFAULT` The 'PREFETCH SERVER DEFAULT' literal value.
`static CacheStrategyType` `PREFETCH_SERVER_DEFAULT_LITERAL` The 'PREFETCH SERVER DEFAULT' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Cache Strategy Type' enumerators.

Method Summary
`static CacheStrategyType` `get(int value)` Returns the 'Cache Strategy Type' literal with the specified integer value.
`static CacheStrategyType` `get(java.lang.String literal)` Returns the 'Cache Strategy Type' literal with the specified literal value.
`static CacheStrategyType` `getByName(java.lang.String name)` Returns the 'Cache Strategy Type' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PREFETCH

    public static final int PREFETCH

  The 'PREFETCH' literal value.

  If the meaning of 'PREFETCH' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PREFETCH_LITERAL`, Constant Field Values

### MRU

    public static final int MRU

  The 'MRU' literal value.

  If the meaning of 'MRU' literal object isn't clear, there really should be more of a description here...

  See Also:
    `MRU_LITERAL`, Constant Field Values

### MRU_SERVER_DEFAULT

    public static final int MRU_SERVER_DEFAULT

  The 'MRU SERVER DEFAULT' literal value.

  If the meaning of 'MRU SERVER DEFAULT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `MRU_SERVER_DEFAULT_LITERAL`, Constant Field Values

### PREFETCH_SERVER_DEFAULT

    public static final int PREFETCH_SERVER_DEFAULT

  The 'PREFETCH SERVER DEFAULT' literal value.

  If the meaning of 'PREFETCH SERVER DEFAULT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PREFETCH_SERVER_DEFAULT_LITERAL`, Constant Field Values

### PREFETCH_LITERAL

    public static final CacheStrategyType PREFETCH_LITERAL

  The 'PREFETCH' literal object.

  See Also:
    `PREFETCH`

### MRU_LITERAL

    public static final CacheStrategyType MRU_LITERAL

  The 'MRU' literal object.

  See Also:
    `MRU`

### MRU_SERVER_DEFAULT_LITERAL

    public static final CacheStrategyType MRU_SERVER_DEFAULT_LITERAL

  The 'MRU SERVER DEFAULT' literal object.

  See Also:
    `MRU_SERVER_DEFAULT`

### PREFETCH_SERVER_DEFAULT_LITERAL

    public static final CacheStrategyType PREFETCH_SERVER_DEFAULT_LITERAL

  The 'PREFETCH SERVER DEFAULT' literal object.

  See Also:
    `PREFETCH_SERVER_DEFAULT`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Cache Strategy Type' enumerators.

Method Detail

### get

    public static CacheStrategyType get(java.lang.String literal)

  Returns the 'Cache Strategy Type' literal with the specified literal value.

### getByName

    public static CacheStrategyType getByName(java.lang.String name)

  Returns the 'Cache Strategy Type' literal with the specified name.

### get

    public static CacheStrategyType get(int value)

  Returns the 'Cache Strategy Type' literal with the specified integer value.